/*
 *  logging.h - Functions to filter and log
 *
 *  Copyright (C) 1999-2000 Hugo Haas & Etienne Bernard
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef _IPPL_LOGGING_H
#define _IPPL_LOGGING_H

#include <pwd.h>
#include <sys/types.h>

void startLogThread(struct passwd *);
void stopLogThread(void);

void logLoop(struct passwd *);

void recordPacket(struct logInfo);

void logPacket(struct logInfo);

void logICMP(struct logInfo);
void logUDP(struct logInfo);
void logTCP(struct logInfo);

#endif
